Subject: Re: bug#22869: 24.5; Crash on OS X

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Jul 2019 15:40:33 +0200

Arne Schmitz <[email-masked]> writes:

> This bug seems to happen sometimes, but I cannot reproduce it regularly,
> or tell a simple recipe. It seems to me that it happens most of the time
> when I visit a remote directory via ssh / tramp. A full OS X crash
> report is attached at the bottom.

(I'm going through old Emacs bug reports that haven't received any
response.)

> In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
> of 2015-04-10 on builder10-9.porkrind.org
> Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
> 0   libsystem_kernel.dylib        	0x00007fff8bec6c82 __kill + 10
> 1   Emacs-x86_64-10_9             	0x00000001000d5e93 emacs_abort + 19
> 2   Emacs-x86_64-10_9             	0x00000001001a7e2c ns_term_shutdown + 124
> 3   Emacs-x86_64-10_9             	0x00000001000b8c4b shut_down_emacs + 283
> 4   Emacs-x86_64-10_9             	0x00000001000b8a19 terminate_due_to_signal + 89
> 5   Emacs-x86_64-10_9             	0x00000001000d77c6 deliver_fatal_thread_signal + 134
> 6   libsystem_platform.dylib      	0x00007fff90e22f1a _sigtramp + 26
> 7   Emacs-x86_64-10_9             	0x000000010011e3ae mark_object + 926
> 8   Emacs-x86_64-10_9             	0x000000010013a052 Ffuncall + 1138

This was unfortunately not handled at the time, but Emacs 24.5 is pretty
old by now (and the crash seemed to happen during garbage collection),
so I doubt we can make progress on this report now, and I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no